ServerEvents.recipes(event => {
    //? CRIMSITE (IRON)
    event.remove({ output: 'create:crimsite', type: 'create:mixing' })
    event.recipes.create.mixing("2x create:crimsite",[
        "16x minecraft:cobblestone",
        "4x minecraft:red_dye"
    ])
    event.recipes.create.mixing("4x create:crimsite",[
        "4x minecraft:cobblestone",
        "2x minecraft:red_dye"
    ]).heated()

    //? OCHRUM (GOLD)
    event.remove({ output: 'create:ochrum', type: 'create:mixing' })
    event.recipes.create.mixing("1x create:ochrum",[
        "24x minecraft:dripstone_block",
        "5x minecraft:yellow_dye"
    ])
    event.recipes.create.mixing("3x create:ochrum",[
        "6x minecraft:dripstone_block",
        "2x minecraft:yellow_dye"
    ]).heated()

    //? VERIDIUM (COPPER)
    event.remove({ output: 'create:veridium', type: 'create:mixing' })
    event.recipes.create.mixing("1x create:veridium",[
        "12x minecraft:cobblestone",
        "4x minecraft:green_dye"
    ])
    event.recipes.create.mixing("3x create:veridium",[
        "3x minecraft:cobblestone",
        "2x minecraft:green_dye"
    ]).heated()

    //? ASURINE (ZINC)
    event.remove({ output: 'create:asurine', type: 'create:mixing' })
    event.recipes.create.mixing("1x create:asurine",[
        "12x minecraft:cobblestone",
        "4x minecraft:blue_dye"
    ])
    event.recipes.create.mixing("3x create:asurine",[
        "3x minecraft:cobblestone",
        "2x minecraft:blue_dye"
    ]).heated()

    //? DRIPSTONE BLOCK
    event.recipes.create.splashing("minecraft:dripstone_block",["minecraft:stone"])

    const colors = ['red', 'white', 'orange', 'magenta', 'light_blue', 'yellow', 'lime', 'pink', 'gray', 'light_gray', 'cyan', 'purple', 'blue', 'brown', 'green', 'black']
    
    colors.forEach(color => {
        event.remove({ output: `numismatics:${color}_card` })
        event.shapeless(`numismatics:${color}_card`, ['#numismatics:cards', `minecraft:${color}_dye`])
    });
    
    event.remove({ output: 'numismatics:vendor' })
    event.remove({ output: 'numismatics:bank_terminal' })
    event.remove({ output: 'numismatics:banking_guide' })
})